diff -Nuar a/config.c b/config.c
--- a/config.c	2017-10-14 18:52:56.829467653 +0200
+++ b/config.c	2017-10-14 18:54:57.049467139 +0200
@@ -25,6 +25,10 @@
 #include <sys/mman.h>
 #include <libgen.h>
 
+#if !defined(PATH_MAX) && defined(__FreeBSD__)
+#include <sys/param.h>
+#endif
+
 #include "log.h"
 #include "logrotate.h"
 
diff -Nuar a/logrotate.c b/logrotate.c
--- a/logrotate.c	2017-10-12 17:19:41.000000000 +0200
+++ b/logrotate.c	2017-10-14 18:56:23.419466769 +0200
@@ -1,6 +1,6 @@
 #include "queue.h"
 /* alloca() is defined in stdlib.h in NetBSD */
-#ifndef __NetBSD__
+#if !defined(__NetBSD__) && !defined(__FreeBSD__)
 #include <alloca.h>
 #endif
 #include <limits.h>
@@ -27,6 +27,10 @@
 #include <limits.h>
 #endif
 
+#if !defined(PATH_MAX) && defined(__FreeBSD__)
+#include <sys/param.h>
+#endif
+
 #include "log.h"
 #include "logrotate.h"
 
